#version 120
varying vec2 uv;
varying vec4 v_color;

uniform vec4 color;
uniform sampler2D textureSampler;

void main() {
	vec4 texColor = texture2D(textureSampler, uv).rgba;
	vec4 multiplier = vec4(color.rgb * v_color.rgb * color.a * v_color.a, color.a * v_color.a);
	gl_FragColor = texColor * multiplier;
}